package com.ygtx.emcs.activity.model;

public class RobotModel {
    private String robotId;
    private String robotName;
    private String robotType;
    private String robotModel;
    private String electricQuantity;
    private String locationId;
    private String homeLocation;
    private String robotIp;
    private String robotDirection;
    private String robotMac;
    private Integer taskStatus;
    private String robotVersion;
    private String remark;
    private Integer port;
    private String robotSpeed;
    private String robotRiseSpeed;
    private Integer relocStatus;
    private String currentStation;
    private String controllerVoltage;


    public String getRobotId() {
        return robotId;
    }

    public void setRobotId(String robotId) {
        this.robotId = robotId;
    }

    public String getRobotName() {
        return robotName;
    }

    public void setRobotName(String robotName) {
        this.robotName = robotName;
    }

    public String getRobotType() {
        return robotType;
    }

    public void setRobotType(String robotType) {
        this.robotType = robotType;
    }

    public String getRobotModel() {
        return robotModel;
    }

    public void setRobotModel(String robotModel) {
        this.robotModel = robotModel;
    }

    public String getElectricQuantity() {
        return electricQuantity;
    }

    public void setElectricQuantity(String electricQuantity) {
        this.electricQuantity = electricQuantity;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getHomeLocation() {
        return homeLocation;
    }

    public void setHomeLocation(String homeLocation) {
        this.homeLocation = homeLocation;
    }

    public String getRobotIp() {
        return robotIp;
    }

    public void setRobotIp(String robotIp) {
        this.robotIp = robotIp;
    }

    public String getRobotDirection() {
        return robotDirection;
    }

    public void setRobotDirection(String robotDirection) {
        this.robotDirection = robotDirection;
    }

    public String getRobotMac() {
        return robotMac;
    }

    public void setRobotMac(String robotMac) {
        this.robotMac = robotMac;
    }

    public String getRobotVersion() {
        return robotVersion;
    }

    public void setRobotVersion(String robotVersion) {
        this.robotVersion = robotVersion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getRobotSpeed() {
        return robotSpeed;
    }

    public void setRobotSpeed(String robotSpeed) {
        this.robotSpeed = robotSpeed;
    }

    public String getRobotRiseSpeed() {
        return robotRiseSpeed;
    }

    public void setRobotRiseSpeed(String robotRiseSpeed) {
        this.robotRiseSpeed = robotRiseSpeed;
    }

    public Integer getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(Integer taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Integer getRelocStatus() {
        return relocStatus;
    }

    public void setRelocStatus(Integer relocStatus) {
        this.relocStatus = relocStatus;
    }

    public String getCurrentStation() {
        return currentStation;
    }

    public void setCurrentStation(String currentStation) {
        this.currentStation = currentStation;
    }

    public String getControllerVoltage() {
        return controllerVoltage;
    }

    public void setControllerVoltage(String controllerVoltage) {
        this.controllerVoltage = controllerVoltage;
    }
}
